﻿@using Rokolabs.Library.WebApp.Models.ViewModels

@model NewspaperVM

@{
    ViewBag.Title = "Delete the newspaper";
}

<h2>Delete the newspaper</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>"@Html.DisplayFor(model => model.Name)"</h4>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationYear)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationYear)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublishingHouse)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublishingHouse)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.NumberOfPages)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.NumberOfPages)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationPlace)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationPlace)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Notes)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Notes)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ISSN)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ISSN)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IssueNumber)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IssueNumber)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IssueDate)
        </dt>

        <dd>
            @(Model.IssueDate?.ToShortDateString())
        </dd>

    </dl>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index", "Catalog")
        </div>
    }
</div>
